Find available appointments
get
/Appointment/$find
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Finds proposed appointments for a required start and service type.Request
Query Parameters
-
end: string
The end of the scheduling time range.
-
location: string
One or more location references or IDs.
-
practitioner: string
One or more practitioner references or IDs.
-
service-type(required): string
A single service type token in code or system|code form.
-
specialty: string
The practitioner specialty token.
-
start(required): string
The start of the scheduling time range; an optional ge prefix is supported.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/fhir+json
200 Response
The FHIR searchset bundle of proposed appointments.
Root Schema : BundleForAppointment
Type:
objectThe FHIR bundle returned by appointment search, find, and book operations.
Show Source
-
entry: array
entry
-
id: string
-
link: array
link
-
resourceType: string
Allowed Values:
[ "Bundle" ] -
total: integer
-
type: string
Nested Schema : resource
Match One Schema
Show Source
-
object
Appointment
The FHIR R4 Appointment resource emitted by the Oracle Health AI Application Suite implementation.
-
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Appointment
Type:
objectThe FHIR R4 Appointment resource emitted by the Oracle Health AI Application Suite implementation.
Show Source
-
cancelationReason: object
CodeableConcept
-
comment: string
-
contained: array
contained
-
description: string
-
end: string
(date-time)
-
extension: array
extension
-
id(required): string
-
meta: object
meta
-
minutesDuration: integer
-
participant(required): array
participant
-
patientInstruction: string
-
reasonCode: array
reasonCode
-
resourceType(required): string
Allowed Values:
[ "Appointment" ] -
serviceType: array
serviceType
-
start: string
(date-time)
-
status(required): string
-
text: object
Narrative
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ContainedHealthcareServiceForAppointment
Type:
Show Source
object-
id: string
-
resourceType: string
Allowed Values:
[ "HealthcareService" ] -
telecom: array
telecom
-
type: array
type
Nested Schema : ContactPoint
Type:
Show Source
object-
period: object
Period
-
rank: integer
-
system: string
The telecommunications form.
-
use: string
-
value: string
The contact value.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
400 Response
FHIR OperationOutcome.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
500 Response
FHIR OperationOutcome.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source